// $Id: DACSound8U.hh,v 1.7 2004/12/15 09:09:50 m9710797 Exp $

// This class implements a 8 bit unsigned DAC

#ifndef __DACSOUND8U_HH__
#define __DACSOUND8U_HH__

#include "DACSound16S.hh"

namespace openmsx {

class DACSound8U : public DACSound16S
{
public:
	DACSound8U(const std::string &name, const std::string& desc,
	           const XMLElement& config, const EmuTime& time); 
	virtual ~DACSound8U();

	void writeDAC(byte value, const EmuTime& time);
};

} // namespace openmsx

#endif
